TransactionManagerImpl (ActiveMQ 1.1 API)
Keywords: org.codehaus.activemq.service.impl.TransactionManagerImpl class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.service.impl
Class TransactionManagerImpl

    java.lang.Object
      org.codehaus.activemq.service.impl.TransactionManagerImpl

All Implemented Interfaces:
  Service, TransactionManager

Direct Known Subclasses:
  VMTransactionManager

public class TransactionManagerImpl
extends Object
implements TransactionManager

Version:
  $Revision: 1.5 $

Constructor Summary
`TransactionManagerImpl(Broker broker, PreparedTransactionStore preparedTransactions)`

Method Summary
`void` | `cleanUpClient(BrokerClient client)` A hint to the TransactionManager that an BrokerClient has stopped This enables the TransactionManager to rollback in progess transactions that the client created.
`Transaction` | `createLocalTransaction(BrokerClient client, String txid)`
`Transaction` | `createXATransaction(BrokerClient client, ActiveMQXid xid)`
`Transaction` | `getContexTransaction()`
`Transaction` | `getLocalTransaction(String txid)`
`ActiveMQXid[]` | `getPreparedXATransactions()`
`Transaction` | `getXATransaction(ActiveMQXid xid)`
`void` | `loadTransaction(ActiveMQXid xid, Transaction transaction)` Called on restart when recovering prepared transactions to reload a transaction from persistent store
`void` | `setContexTransaction(Transaction tx)`
`void` | `start()` Called to start the service
`void` | `stop()` Called to shutdown the service

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TransactionManagerImpl

    public TransactionManagerImpl(Broker broker,
                                  PreparedTransactionStore preparedTransactions)

Method Detail

### createLocalTransaction

    public Transaction createLocalTransaction(BrokerClient client,
                                              String txid)
                                       throws JMSException

  Specified by:
    `createLocalTransaction` in interface `TransactionManager`
  Throws:
    `JMSException`
  See Also:
    `TransactionManager.createLocalTransaction(org.codehaus.activemq.broker.BrokerClient, String)`

### createXATransaction

    public Transaction createXATransaction(BrokerClient client,
                                           ActiveMQXid xid)
                                    throws XAException

  Specified by:
    `createXATransaction` in interface `TransactionManager`
  Throws:
    `XAException`
  See Also:
    `TransactionManager.createXATransaction(org.codehaus.activemq.broker.BrokerClient, org.codehaus.activemq.message.ActiveMQXid)`

### getLocalTransaction

    public Transaction getLocalTransaction(String txid)
                                    throws JMSException

  Specified by:
    `getLocalTransaction` in interface `TransactionManager`
  Throws:
    `JMSException`
  See Also:
    `TransactionManager.getLocalTransaction(String)`

### getXATransaction

    public Transaction getXATransaction(ActiveMQXid xid)
                                 throws XAException

  Specified by:
    `getXATransaction` in interface `TransactionManager`
  Throws:
    `XAException`
  See Also:
    `TransactionManager.getXATransaction(org.codehaus.activemq.message.ActiveMQXid)`

### getPreparedXATransactions

    public ActiveMQXid[] getPreparedXATransactions()
                                            throws XAException

  Specified by:
    `getPreparedXATransactions` in interface `TransactionManager`
  Throws:
    `XAException`
  See Also:
    `TransactionManager.getPreparedXATransactions()`

### setContexTransaction

    public void setContexTransaction(Transaction tx)

  Specified by:
    `setContexTransaction` in interface `TransactionManager`
  See Also:
    `TransactionManager.setContexTransaction(org.codehaus.activemq.service.Transaction)`

### getContexTransaction

    public Transaction getContexTransaction()

  Specified by:
    `getContexTransaction` in interface `TransactionManager`
  See Also:
    `TransactionManager.getContexTransaction()`

### cleanUpClient

    public void cleanUpClient(BrokerClient client)
                       throws JMSException

  Description copied from interface: `TransactionManager`
  A hint to the TransactionManager that an BrokerClient has stopped This enables the TransactionManager to rollback in progess transactions that the client created.

  Specified by:
    `cleanUpClient` in interface `TransactionManager`
  Parameters:
    `client` -
  Throws:
    `JMSException`
  See Also:
    `TransactionManager.cleanUpClient(org.codehaus.activemq.broker.BrokerClient)`

### loadTransaction

    public void loadTransaction(ActiveMQXid xid,
                                Transaction transaction)
                         throws XAException

  Description copied from interface: `TransactionManager`
  Called on restart when recovering prepared transactions to reload a transaction from persistent store

  Specified by:
    `loadTransaction` in interface `TransactionManager`
  Parameters:
    `xid` -
    `transaction` -
  Throws:
    `XAException`

### start

    public void start()
               throws JMSException

  Description copied from interface: `Service`
  Called to start the service

  Specified by:
    `start` in interface `Service`
  Throws:
    `JMSException`

### stop

    public void stop()
              throws JMSException

  Description copied from interface: `Service`
  Called to shutdown the service

  Specified by:
    `stop` in interface `Service`
  Throws:
    `JMSException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.